Subject: Re: CCL:constrained multiple linear regression

From: Roy Jensen <[email-masked]>
Date: Thu, 05 Dec 2002 21:21:58 -0800

Excel does multiple linear regression with the LINEST function (from
the Insert:Function menu). It isn't obvious that it will work from the
description. I can fax you (and everyone else who is interested) the
pages from our lab-manual that explains the procedure.

In reading your request, I noticed that you need to impose
constraints. To apply constraints, use the Solver add-in.

NOTE: LINEST is a linear regression method (analytical solution)
whereas Solver is a non-linear algorithm (numeric). Solver can, and
does, converge to local minima.

Roy Jensen

-----BEGIN PGP PUBLIC KEY BLOCK-----
Comment: available at www.consol.ca

------END PGP PUBLIC KEY BLOCK------

On Mon, 2 Dec 2002 19:08:14 -0600, you wrote:

> CCL,
> 
>         I am looking for software (preferably free or inexpensive, code is 
> OK) that will allow me to perform
> constrained multiple linear regression.  For example, I have an equation 
> of the form:
> 
>         Y = a*X1 + b*X2 + c*X3 + d
> 
>         where: Y is the dependent variable
>                   X1 - X3 are independent variables (more than 1)
>                 a, b, c are coefficients
>                         d is a constant
> 
>         I must be able to constrain the range of values for a, b, c, and d 
> during the fitting.
> 
>         Please note that programs such as JMP, KalediaGraph, GraphPad 
> Prism, and several other packages do 
> NOT allow the user to do this, especially for more than one independent 
> variable.
> 
>         Can someone suggest a program or code to do this?
> 
>         Thank you,
>         Jim Metz
> 
> 
> James T. Metz, Ph.D.
> Research Investigator Chemist
> 
> GPRD R46Y AP10-2
> Abbott Laboratories
> 100 Abbott Park Road
> Abbott Park, IL  60064-6100
> U.S.A.
> 
> Office (847) 936 - 0441
> FAX    (847) 935 - 0548
> 
> [email-masked]